Subject: [Megaco] GRP address type in MeGaCo/SDP for TDM

From: Javi <[email-masked]>
Date: Sun, 06 Feb 2011 19:01:44 +0100

Hi Albrecht, Tom and all,

About the use of the GRP address type, [draft-taylor-mmusic-sdp-tdm-01] 
proposes:

The GRP scheme designates a logical or physical grouping of circuits
within which individual 64 kbit/s channels may be identified by
integer values.  The GRP connection-address consists of two parts.
The first part identifies the logical or physical group, while the
second identifies the individual circuit within the group.

         grp-connection-address = group-part "/" member-part

         group-part  = non-ws-string
         member-part = non-ws-string

If we want to describe an ISDN mutichannel service with 3 B-channel (B1, 
B4, B7) belonging to the ISDN interface of the rack "A", I image a 
possible example would be:

v=0
c=TDM GRP  1111/1
c=TDM GRP  1111/4
c=TDM GRP  1111/7
m=application 1 TDM octect-stream
b=AS:64  # each channel of 64 kbps

But, then: How does MGC and MG agree the group number of each ISDN 
interface (in the example, the "1111" number for the ISDN interface of 
the rack "A" (and similarly for member number "1,4,7" with the B1,B4,B7 
channels, although the correlative numbering is a possibility here)?

Regards,

Javier Muñoz

---

From: "Schwarz, Albrecht (Albrecht)" <[email-masked]>
Date: Tue, 8 Feb 2011 08:07:29 +0100

... e.g. via Termination names, which are defined in H.248 PROFILEs.

You could choose correspondent "Termination naming convention for TDM terminations", which satisfy your "grouping", hierarchical, physical, Layer 1, ... characteristics.

For instance: ETSI TISPAN H.248 Profile for TGW
ES 283 024
-> § 5.6.1.1

5.6.1.1.1.1	ABNF Grammar for H.248 Text Encoding Mode
ABNF (RFC 4234 [26]) is used for the syntax specification.
ABNF coding:
pathName = TDMToken SLASH (PCMsystem / "*") 
TDMToken = "tdm"
PCMsystem = 0*(HierarchyLevelHIGHToken SLASH) HierarchyLevelLOWToken
HierarchyLevelHIGHToken = (UnitTypeToken "_" UnitNumber)
HierarchyLevelLOWToken  = (UnitTypeToken "_" Wildcard) / Channel / Wildcard
UnitTypeToken = "ChassisToken" / "SDHToken" / "SONETToken" / "PDHToken" 
ChassisToken  = "s" / "su" 		; slot, sub-unit within slot
SDHToken      = "stm4" / "stm1" 	; relevant is capacity, but not
 									  electrical or optical interface type
SONETToken    = "oc12" / "oc3" 
PDHToken      = "ds3" / "e3" / "ds2" / "e2" /"ds1" / "e1" 	; ANSI & ETSI
UnitNumber = 1*DIGIT 
Channel    = %d0-31 / %d0-23	; value range E1/T1 system
Wildcard   = "*"

____
If your grouping concept wouldn't be already covered, then just extend the naming scheme.
See also AGW: ETSI TS 183002 V3.3.1, § 5.6.1.1 ... and extend if required

/Albrecht

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Javi
> Sent: Sonntag, 6. Februar 2011 19:02
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Megaco] GRP address type in MeGaCo/SDP for TDM
> 
> The GRP scheme designates a logical or physical grouping of 
> circuits within which individual 64 kbit/s channels may be 
> identified by integer values.  The GRP connection-address 
> consists of two parts.
> The first part identifies the logical or physical group, 
> while the second identifies the individual circuit within the group.
> 
> If we want to describe an ISDN mutichannel service with 3 
> B-channel (B1, B4, B7) belonging to the ISDN interface of the 
> rack "A", I image a possible example would be:
> 
> v=0
> c=TDM GRP  1111/1
> c=TDM GRP  1111/4
> c=TDM GRP  1111/7
> But, then: How does MGC and MG agree the group number of each 
> ISDN interface (in the example, the "1111" number for the 
> ISDN interface of the rack "A" (and similarly for member 
> number "1,4,7" with the B1,B4,B7 channels, although the 
> correlative numbering is a possibility here)?
> 
> Regards,
> 
> Javier Muñoz
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/megaco
>

---

From: Javi Muñoz <[email-masked]>
Date: Wed, 09 Feb 2011 18:39:54 +0100

Albrecht,

I agree with you. For ISDN monochannel services, I have been used the 
naming scheme proposed by the ETSI_ARGW profile[TS 183002 V3.3.1]. For 
example:

pra/<subrack>/<card>/<port>/<channel>
pra/5/9/3/20

If we want to describe an ISDN mutichannel service with 3 B-channel (B1, 
B4, B7) belonging to the ISDN interface of the subrack "5", we though to 
use:

pra/5/9/3/1,4,7

And for ranges (B1, B2, B3):

pra/5/9/3/1-3

But, If we use this, which is the usefulness of the GRP address type?. 
It would not be necessary.

Javi

El 08/02/2011 8:07, Schwarz, Albrecht (Albrecht) escribió:
> PDHToken      = "ds3" / "e3" / "ds2" / "e2" /"ds1" / "e1" 	; ANSI&  ETSI
> UnitNumber = 1*DIGIT